<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Links to Books</title>
			</head>
			<body>
				<h1>Links to books...</h1>
				<ul>
					<xsl:apply-templates select="library/book"/>
				</ul>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="book1">
		<li>
			<a href="http://www.amazon.com/exec/obidos/ASIN/{@isbn}">
				<xsl:value-of select="title"/>
			</a>
		</li>
	</xsl:template>
	<xsl:template match="book">
		<li>
			<a>
				<xsl:attribute name="href">
					http://www.amazon.com/exec/obidos/ASIN/
					<xsl:value-of select="@isbn"/>
				</xsl:attribute>
				<xsl:value-of select="title"/>
			</a>
		</li>
	</xsl:template>
</xsl:stylesheet>
