<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<!--
	  ** Show a name formatted like: "Burke, Eric Matthew"
	  -->
	<xsl:template match="name" mode="lastFirstMiddle">
		<xsl:value-of select="last"/>
		<xsl:text>, </xsl:text>
		<xsl:value-of select="first"/>	
		
		<xsl:for-each select="middle">
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			<xsl:value-of select="."/>
		</xsl:for-each>

	</xsl:template>
	<!--
	  ** Show a name formatted like: "Eric Matthew Burke"
	  -->
	<xsl:template match="name" mode="firstMiddleLast">
		<xsl:value-of select="first"/>
		<xsl:for-each select="middle">
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			<xsl:value-of select="."/>
		</xsl:for-each>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		<xsl:value-of select="last"/>
	</xsl:template>
</xsl:stylesheet>
