<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Employee Directory</title>
			</head>
			<body>
				<h1>Employee Directory</h1>
				<table cellpadding="4" cellspacing="0" border="1">
					<tr>
						<th>Name</th>
						<th>Category</th>
						<th>Phone</th>
					</tr>
					<xsl:for-each select="directory/employee">
						<tr>
							<td>
								<xsl:value-of select="name"/>
							</td>
							<td>
								<xsl:choose>
									<xsl:when test="@category='manager'">
										<xsl:text>Manager</xsl:text>
									</xsl:when>
									<xsl:when test="@category='programmer'">
										<xsl:text>Programmer</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>Other</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td>
								<xsl:value-of select="phone"/>
							</td>
						</tr>
					</xsl:for-each>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
